## lazyarray 0.3.3

=== requirements.txt ===
numpy>=1.3

## lazyarray 0.1.0

=== debian/changelog ===
lazyarray (0.1.0-1) unstable; urgency=low

  * Initial Debian release (Closes: #664022).

 -- Michael Hanke <mih@debian.org>  Thu, 15 Mar 2012 13:42:09 +0100

=== debian/control ===
Source: lazyarray
Maintainer: NeuroDebian team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <yoh@debian.org>
Section: python
Priority: optional
Build-Depends: python-all, debhelper (>= 7.0.50~), python-nose, python-numpy
Standards-Version: 3.9.3
Homepage: http://bitbucket.org/apdavison/lazyarray/
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/lazyarray.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/lazyarray.git

Package: python-lazyarray
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-numpy
Description: Python module providing a NumPy-compatible lazily-evaluated array
 The 'larray' class is a NumPy-compatible numerical array where operations on
 the array (potentially including array construction) are not performed
 immediately, but are delayed until evaluation is specifically requested.
 Evaluation of only parts of the array is also possible. Consequently,
 use of an 'larray' can potentially save considerable computation time
 and memory in cases where arrays are used conditionally, or only parts of an
 array are used (for example in distributed computation, in which each MPI node
 operates on a subset of the elements of the array).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_test:
	nosetests test

## lazyarray 0.3.3

=== debian/changelog ===
lazyarray (0.3.3-2) unstable; urgency=medium

  * Team upload.
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 02 Apr 2020 18:11:36 +0200

lazyarray (0.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (using latest commit)
  * Take over into Debian Science team maintenance
  * Add watch file
  * Switch to Python3
    Closes: #936825, #782922
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Secure URI in copyright format (routine-update)
  * Add salsa-ci file (routine-update)
  * Use secure URI in Homepage field.
  * Point watch file to github
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * (Build-)Depends: python3-scipy

 -- Andreas Tille <tille@debian.org>  Thu, 05 Mar 2020 13:26:30 +0100

=== debian/control ===
Source: lazyarray
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <yoh@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-nose <!nocheck>,
               python3-numpy <!nocheck>,
               python3-scipy <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/lazyarray
Vcs-Git: https://salsa.debian.org/science-team/lazyarray.git
Homepage: https://bitbucket.org/apdavison/lazyarray/
Rules-Requires-Root: no

Package: python3-lazyarray
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numpy,
         python3-scipy
Description: Python module providing a NumPy-compatible lazily-evaluated array
 The 'larray' class is a NumPy-compatible numerical array where operations on
 the array (potentially including array construction) are not performed
 immediately, but are delayed until evaluation is specifically requested.
 Evaluation of only parts of the array is also possible. Consequently,
 use of an 'larray' can potentially save considerable computation time
 and memory in cases where arrays are used conditionally, or only parts of an
 array are used (for example in distributed computation, in which each MPI node
 operates on a subset of the elements of the array).

=== debian/watch ===
version=4

https://github.com/NeuralEnsemble/lazyarray/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## lazyarray 0.5.0

=== debian/changelog ===
lazyarray (0.5.0-1) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add python-3.10.patch: fix build-time test failure
  * d/copyright: update years

 -- Étienne Mollier <emollier@debian.org>  Sat, 11 Dec 2021 20:58:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-nose <!nocheck>,
                python3-numpy <!nocheck>,
                python3-scipy <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/lazyarray
 Vcs-Git: https://salsa.debian.org/science-team/lazyarray.git
 Homepage: https://bitbucket.org/apdavison/lazyarray/

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=lazyarray

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4

https://github.com/NeuralEnsemble/lazyarray/releases .*/@ANY_VERSION@@ARCHIVE_EXT@

## lazyarray 0.5.2

=== requirements.txt ===
numpy>=1.13

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyNN.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyNN.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyNN"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyNN"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
lazyarray (0.5.2-3) unstable; urgency=medium

  * Team upload.
  * Disable failing test_create_with_sparse_array

 -- Alexandre Detiste <tchet@debian.org>  Fri, 28 Mar 2025 13:44:20 +0100

lazyarray (0.5.2-2) unstable; urgency=medium

  * Team upload.
  * Add build-dependency on python3-setuptools (Closes: #1100231)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 12 Mar 2025 22:58:51 +0100

lazyarray (0.5.2-1) unstable; urgency=medium

  * Team Upload
  * Update watch file for new GitHub API
  * New upstream version 0.5.2
  * Update homepage, BitBucket one is 404
  * Use dh-sequence-python3
  * Replace Nose with Pytest (Closes: #1018393)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 06 Aug 2024 12:40:42 +0200

=== debian/control ===
Source: lazyarray
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Michael Hanke <mih@debian.org>,
 Yaroslav Halchenko <yoh@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-numpy <!nocheck>,
 python3-pytest <!nocheck>,
 python3-scipy <!nocheck>,
 python3-setuptools,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/lazyarray
Vcs-Git: https://salsa.debian.org/science-team/lazyarray.git
Homepage: https://github.com/NeuralEnsemble/lazyarray
Rules-Requires-Root: no
X-Style: black

Package: python3-lazyarray
Architecture: all
Depends:
 python3-numpy,
 python3-scipy,
 ${misc:Depends},
 ${python3:Depends},
Description: Python module providing a NumPy-compatible lazily-evaluated array
 The 'larray' class is a NumPy-compatible numerical array where operations on
 the array (potentially including array construction) are not performed
 immediately, but are delayed until evaluation is specifically requested.
 Evaluation of only parts of the array is also possible. Consequently,
 use of an 'larray' can potentially save considerable computation time
 and memory in cases where arrays are used conditionally, or only parts of an
 array are used (for example in distributed computation, in which each MPI node
 operates on a subset of the elements of the array).

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=lazyarray
export PYBUILD_TEST_ARGS=-k 'not test_create_with_sparse_array'

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4

https://github.com/NeuralEnsemble/lazyarray/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## lazyarray 1.0.0

=== DESCRIPTION ===
Package: lazyarray
Type: Package
Title: Persistent Large Data Array with Lazy-Loading on Demand
Version: 1.0.0
Language: en-US
License: AGPL-3
Encoding: UTF-8
SystemRequirements: C++11
RoxygenNote: 7.1.0
URL: https://github.com/dipterix/lazyarray
BugReports: https://github.com/dipterix/lazyarray/issues
Authors@R: c(
    person("Zhengjia", "Wang", email = "dipterix.wang@gmail.com", role = c("aut", "cre", "cph")),
    person("Mark", "Klik", email = "markklik@gmail.com", role = c("ctb", "cph"),
      comment = "Copyright holder of fstcore package")
    )
Description: Multi-threaded serialization of compressed array that 
    fully utilizes modern solid state drives. It allows 
    to store and load extremely large data on demand within seconds
    without occupying too much memories. With data stored on hard drive, 
    a lazy-array data can be loaded, shared across multiple R sessions.
    For arrays with partition mode on, multiple R sessions can write to 
    a same array simultaneously along the last dimension (partition).
Imports: Rcpp (>= 1.0.4), R6, fstcore, yaml
LinkingTo: Rcpp, fstcore
Suggests: testthat, knitr, fst, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2020-06-16 17:08:09 UTC; beauchamplab
Author: Zhengjia Wang [aut, cre, cph],
  Mark Klik [ctb, cph] (Copyright holder of fstcore package)
Maintainer: Zhengjia Wang <dipterix.wang@gmail.com>
Repository: CRAN
Date/Publication: 2020-06-24 08:40:10 UTC

## lazyarray 1.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Package: lazyarray
 Type: Package
 Title: Persistent Large Data Array with Lazy-Loading on Demand
-Version: 1.0.0
+Version: 1.1.0
 Language: en-US
 License: AGPL-3
 Encoding: UTF-8
-SystemRequirements: C++11
-RoxygenNote: 7.1.0
+SystemRequirements: C++11 little-endian platform
+RoxygenNote: 7.1.1
 URL: https://github.com/dipterix/lazyarray
 BugReports: https://github.com/dipterix/lazyarray/issues
 Authors@R: c(
@@ -20,15 +20,17 @@
     without occupying too much memories. With data stored on hard drive, 
     a lazy-array data can be loaded, shared across multiple R sessions.
     For arrays with partition mode on, multiple R sessions can write to 
-    a same array simultaneously along the last dimension (partition).
+    a same array simultaneously along the last dimension (partition). 
+    The internal storage format is provided by 'fstcore' package geared by 
+    'LZ4' and 'ZSTD' compressors.
 Imports: Rcpp (>= 1.0.4), R6, fstcore, yaml
 LinkingTo: Rcpp, fstcore
-Suggests: testthat, knitr, fst, rmarkdown
+Suggests: testthat, knitr, fst, rmarkdown, dipsaus (>= 0.0.8)
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2020-06-16 17:08:09 UTC; beauchamplab
+Packaged: 2020-07-17 05:28:27 UTC; beauchamplab
 Author: Zhengjia Wang [aut, cre, cph],
   Mark Klik [ctb, cph] (Copyright holder of fstcore package)
 Maintainer: Zhengjia Wang <dipterix.wang@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-06-24 08:40:10 UTC
+Date/Publication: 2020-07-18 06:10:02 UTC
